Package io.vertx.jdbcclient

## Class SqlOptions

- java.lang.Object
- - io.vertx.jdbcclient.SqlOptions

- Direct Known Subclasses:
    `JDBCConnectOptions`

      public class SqlOptions
      extends Object

  Represents the options one can use to customize the unwrapped connection/statement/resultset types
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlOptions()` | Default constructor
    `SqlOptions​(SqlOptions other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JsonArray` | `getAutoGeneratedKeysIndexes()` |
    `String` | `getCatalog()` |
    `FetchDirection` | `getFetchDirection()` |
    `int` | `getFetchSize()` |
    `int` | `getMaxRows()` |
    `int` | `getQueryTimeout()` |
    `ResultSetConcurrency` | `getResultSetConcurrency()` |
    `ResultSetType` | `getResultSetType()` |
    `String` | `getSchema()` |
    `TransactionIsolation` | `getTransactionIsolation()` |
    `boolean` | `isAutoGeneratedKeys()` |
    `boolean` | `isReadOnly()` |
    `SqlOptions` | `setAutoGeneratedKeys​(boolean autoGeneratedKeys)` |
    `SqlOptions` | `setAutoGeneratedKeysIndexes​(JsonArray autoGeneratedKeysIndexes)` |
    `SqlOptions` | `setCatalog​(String catalog)` |
    `SqlOptions` | `setFetchDirection​(FetchDirection fetchDirection)` |
    `SqlOptions` | `setFetchSize​(int fetchSize)` |
    `SqlOptions` | `setMaxRows​(int maxRows)` |
    `SqlOptions` | `setQueryTimeout​(int queryTimeout)` |
    `SqlOptions` | `setReadOnly​(boolean readOnly)` |
    `SqlOptions` | `setResultSetConcurrency​(ResultSetConcurrency resultSetConcurrency)` |
    `SqlOptions` | `setResultSetType​(ResultSetType resultSetType)` |
    `SqlOptions` | `setSchema​(String schema)` |
    `SqlOptions` | `setTransactionIsolation​(TransactionIsolation transactionIsolation)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlOptions

          public SqlOptions()

      Default constructor

    - #### SqlOptions

          public SqlOptions​(SqlOptions other)

      Copy constructor
      Parameters:
        `other` - the result to copy

  - ### Method Detail

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public SqlOptions setReadOnly​(boolean readOnly)

    - #### getCatalog

          public String getCatalog()

    - #### setCatalog

          public SqlOptions setCatalog​(String catalog)

    - #### getTransactionIsolation

          public TransactionIsolation getTransactionIsolation()

    - #### setTransactionIsolation

          public SqlOptions setTransactionIsolation​(TransactionIsolation transactionIsolation)

    - #### getResultSetType

          public ResultSetType getResultSetType()

    - #### setResultSetType

          public SqlOptions setResultSetType​(ResultSetType resultSetType)

    - #### getResultSetConcurrency

          public ResultSetConcurrency getResultSetConcurrency()

    - #### setResultSetConcurrency

          public SqlOptions setResultSetConcurrency​(ResultSetConcurrency resultSetConcurrency)

    - #### isAutoGeneratedKeys

          public boolean isAutoGeneratedKeys()

    - #### setAutoGeneratedKeys

          public SqlOptions setAutoGeneratedKeys​(boolean autoGeneratedKeys)

    - #### getSchema

          public String getSchema()

    - #### setSchema

          public SqlOptions setSchema​(String schema)

    - #### getQueryTimeout

          public int getQueryTimeout()

    - #### setQueryTimeout

          public SqlOptions setQueryTimeout​(int queryTimeout)

    - #### getFetchDirection

          public FetchDirection getFetchDirection()

    - #### setFetchDirection

          public SqlOptions setFetchDirection​(FetchDirection fetchDirection)

    - #### getFetchSize

          public int getFetchSize()

    - #### setFetchSize

          public SqlOptions setFetchSize​(int fetchSize)

    - #### getAutoGeneratedKeysIndexes

          public JsonArray getAutoGeneratedKeysIndexes()

    - #### setAutoGeneratedKeysIndexes

          public SqlOptions setAutoGeneratedKeysIndexes​(JsonArray autoGeneratedKeysIndexes)

    - #### getMaxRows

          public int getMaxRows()

    - #### setMaxRows

          public SqlOptions setMaxRows​(int maxRows)